petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAGetNumCells

Get the number of cells in the local piece of the DMDA. This includes ghost cells.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetNumCells(DM dm, PetscInt *numCellsX, PetscInt *numCellsY, PetscInt *numCellsZ, PetscInt *numCells)

### Input Parameter

dm -The DM object

### Output Parameters

| numCellsX | - The number of local cells in the x-direction
| numCellsY | - The number of local cells in the y-direction
| numCellsZ | - The number of local cells in the z-direction
| numCells | - The number of local cells

### See Also

DMDAGetCellPoint()

### Level

developer

### Location

src/dm/impls/da/dalocal.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages